<html> 
<head>
	<title>Read</title>
</head>
<body>
	<h2>Page 2: Reading records</h2>
	<p>This page will do a few queries on the "Customers" table and display the results.</p>
		<?php

			try {
				$dsn = '4D:host=localhost;port=19812;charset=UTF-8';
				$user = 'Administrator';
				$pswd = 'test';

				$db = new PDO($dsn, $user, $pswd);

		
			//1, query
				$sql = 'SELECT CustomerID, CompanyName, City FROM Customers WHERE Country = \'USA\' ';
				$stmt = $db->prepare($sql);
				$stmt->execute();				
				$results_array = $stmt->fetchAll();

				//this is just formatting for the resulting web page
				echo '<strong>Query 1</strong> - ' . $sql . '<br><br>';				
				echo '<table  BORDER=1 CELLPADDING=3 CELLSPACING=1 RULES=ALL FRAME=BOX">';
				echo '<tr>' . '<td>Customer ID</td>' . '<td>Copmany Name</td>' . '<td>City</td>' . '</tr>';
				$index = 0;
				foreach ($results_array as $id) {
					echo '<tr>';
					echo '<td>' . $results_array[$index]['CUSTOMERID'] . '</td>';
					echo '<td>' . $results_array[$index]['COMPANYNAME'] . '</td>';
					echo '<td>' . $results_array[$index]['CITY'] . '</td>';
					echo '</tr>';
					$index++;
				}
				echo '</table>';
			//1, count query
				$stmt = $db->prepare('SELECT COUNT(CustomerID) AS NumRecords FROM Customers WHERE Country = \'USA\' ');
				$stmt->execute();
				$results_array = $stmt->fetchAll();
				echo '<strong>Number of records returned = ' . $results_array[0][0] . '</strong><br><br>';

			//2, query
				$title = "Owner";
				$sql = 'SELECT ContactName, CompanyName, Region, Country FROM Customers WHERE ContactTitle = \'' . $title . '\' ';
				$stmt = $db->prepare($sql);
				$stmt->execute();				
				$results_array = $stmt->fetchAll();

				//this is just formatting for the resulting web page
				echo '<strong>Query 2</strong> - ' . $sql . '<br><br>';				
				echo '<table  BORDER=1 CELLPADDING=3 CELLSPACING=1 RULES=ALL FRAME=BOX">';
				echo '<tr>' . '<td>Contact Name</td>' . '<td>Company Name</td>' . '<td>Region</td>' . '<td>Country</td>' . '</tr>';
				$index = 0;
				foreach ($results_array as $id) {
					echo '<tr>';
					echo '<td>' . $results_array[$index]['CONTACTNAME'] . '</td>';
					echo '<td>' . $results_array[$index]['COMPANYNAME'] . '</td>';
					echo '<td>' . $results_array[$index]['REGION'] . '</td>';
					echo '<td>' . $results_array[$index]['COUNTRY'] . '</td>';
					echo '</tr>';
					$index++;
				}
				echo '</table>';

			//2, count query
				$stmt = $db->prepare('SELECT COUNT(CustomerID) FROM Customers WHERE ContactTitle = \'' . $title . '\' ');
				$stmt->execute();
				$results_array = $stmt->fetchAll();
				echo '<strong>Number of records returned = ' . $results_array[0][0] . '</strong>';

			unset($db);
			} catch (Exception $e) {
				echo '<p style="color:red; font-weight:bold">' . 
				'The following PHP error occured :' . $e->getMessage() . 
				'</p>';
			}
				
		?>
</body>
</html>