<html> 
<head>
	<title>Update</title>
</head>
<body>
	<h2>Page 3: Updating records</h2>
	<p>This page will update a record in the "Companies" table (created in page "create.php").  Displaying the record, before and after.</p>
		<?php

			try {
				$dsn = '4D:host=localhost;port=19812;charset=UTF-8';
				$user = 'Administrator';
				$pswd = 'test';

				$db = new PDO($dsn, $user, $pswd);

		
			//query
				$sql_query = 'SELECT ID, Name, Address, City, State, Zip FROM Company WHERE ID = 1 ';
				$stmt = $db->prepare($sql_query);
				$stmt->execute();				
				$results_array = $stmt->fetchAll();

				//this is just formatting for the resulting web page				
				echo '<strong>Record before update</strong><br><br>';				
				echo '<table  BORDER=1 CELLPADDING=3 CELLSPACING=1 RULES=ALL FRAME=BOX">';
				echo '<tr>' . '<td>Id</td>' . '<td>Name</td>' . '<td>Address</td>' . '<td>City</td>' . 
				'<td>State</td>' . '<td>Zip</td>' . '</tr>';
				
				$index = 0;
				foreach ($results_array as $id) {
					echo '<tr>';
					echo '<td>' . $results_array[$index]['ID'] . '</td>';
					echo '<td>' . $results_array[$index]['NAME'] . '</td>';
					echo '<td>' . $results_array[$index]['ADDRESS'] . '</td>';
					echo '<td>' . $results_array[$index]['CITY'] . '</td>';
					echo '<td>' . $results_array[$index]['STATE'] . '</td>';
					echo '<td>' . $results_array[$index]['ZIP'] . '</td>';
					echo '</tr>';
					$index++;
				}
				echo '</table><br>';

			//update
				$sql_update = 'UPDATE Company SET Address = \'789 Astrodome Lane\', City = \'Austin\', State = \'TX\', Zip = \'11111\' WHERE ID = 1 ';
				$stmt = $db->prepare($sql_update);
				$stmt->execute();				

				echo 'The following SQL statmement has been successfully executed:' . '<br>' . $sql_update . '<br><br>';

			//query again
				//no need to build the select statmement again, we can just use the previous variable
				$stmt = $db->prepare($sql_query);
				$stmt->execute();				
				$results_array = $stmt->fetchAll();

				//this is just formatting for the resulting web page
				echo '<strong>Record after update</strong><br><br>';				
				echo '<table  BORDER=1 CELLPADDING=3 CELLSPACING=1 RULES=ALL FRAME=BOX">';
				echo '<tr>' . '<td>Id</td>' . '<td>Name</td>' . '<td>Address</td>' . '<td>City</td>' . 
				'<td>State</td>' . '<td>Zip</td>' . '</tr>';
				
				$index = 0;
				foreach ($results_array as $id) {
					echo '<tr>';
					echo '<td>' . $results_array[$index]['ID'] . '</td>';
					echo '<td>' . $results_array[$index]['NAME'] . '</td>';
					echo '<td>' . $results_array[$index]['ADDRESS'] . '</td>';
					echo '<td>' . $results_array[$index]['CITY'] . '</td>';
					echo '<td>' . $results_array[$index]['STATE'] . '</td>';
					echo '<td>' . $results_array[$index]['ZIP'] . '</td>';
					echo '</tr>';
					$index++;
				}
				echo '</table>';
				echo '<br><br>';

			unset($db);
			} catch (Exception $e) {
				echo '<p style="color:red; font-weight:bold">' . 
				'The following PHP error occured :' . $e->getMessage() . 
				'</p>';
			}
				
		?>
</body>
</html>